package com.admin.major.domain;

import com.admin.common.annotation.Excel;
import com.admin.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 特别申请对象 m_special_apply
 * 
 * @author zewei
 * @date 2022-03-26
 */
public class SpecialApply extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long specialApplyId;

    /** 学生id */
    @Excel(name = "学生id")
    private String studentId;

    /** 专业id */
    @Excel(name = "专业id")
    private String majorId;

    /** 申请原因 */
    private String applyReason;

    /** 学院意见（保留字段） */
    private String collegeOpinion;

    /** 教导处意见（保留字段） */
    private String acaAffairsOpinion;

    /** 领导意见（保留字段） */
    private String leaderOpinion;

    /** 学生签名 */
    @Excel(name = "学生签名")
    private String sign;

    /** 领导签名 */
    @Excel(name = "领导签名")
    private String guardinSign;

    /** 申请状态（0未提交 1已提交 2通过 3驳回） */
    @Excel(name = "申请状态", readConverterExp = "0=未提交,1=已提交,2=通过,3=驳回")
    private String applyStatus;

    /** 状态（1启用 0弃用） */
    @Excel(name = "状态", readConverterExp = "1=启用,0=弃用")
    private String status;

    /** 更新用户 */
    private Long updateUserId;

    /** 申请年份 */
    @Excel(name = "申请年份")
    private String year;

    /** 学院 */
    @Excel(name = "学院")
    private Long collegeId;

    public void setSpecialApplyId(Long specialApplyId)
    {
        this.specialApplyId = specialApplyId;
    }

    public Long getSpecialApplyId()
    {
        return specialApplyId;
    }
    public void setStudentId(String studentId) 
    {
        this.studentId = studentId;
    }

    public String getStudentId() 
    {
        return studentId;
    }
    public void setMajorId(String majorId) 
    {
        this.majorId = majorId;
    }

    public String getMajorId() 
    {
        return majorId;
    }
    public void setApplyReason(String applyReason) 
    {
        this.applyReason = applyReason;
    }

    public String getApplyReason() 
    {
        return applyReason;
    }
    public void setCollegeOpinion(String collegeOpinion) 
    {
        this.collegeOpinion = collegeOpinion;
    }

    public String getCollegeOpinion() 
    {
        return collegeOpinion;
    }
    public void setAcaAffairsOpinion(String acaAffairsOpinion) 
    {
        this.acaAffairsOpinion = acaAffairsOpinion;
    }

    public String getAcaAffairsOpinion() 
    {
        return acaAffairsOpinion;
    }
    public void setLeaderOpinion(String leaderOpinion) 
    {
        this.leaderOpinion = leaderOpinion;
    }

    public String getLeaderOpinion() 
    {
        return leaderOpinion;
    }
    public void setSign(String sign) 
    {
        this.sign = sign;
    }

    public String getSign() 
    {
        return sign;
    }
    public void setGuardinSign(String guardinSign) 
    {
        this.guardinSign = guardinSign;
    }

    public String getGuardinSign() 
    {
        return guardinSign;
    }
    public void setApplyStatus(String applyStatus) 
    {
        this.applyStatus = applyStatus;
    }

    public String getApplyStatus() 
    {
        return applyStatus;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setUpdateUserId(Long updateUserId) 
    {
        this.updateUserId = updateUserId;
    }

    public Long getUpdateUserId() 
    {
        return updateUserId;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setCollegeId(Long collegeId) 
    {
        this.collegeId = collegeId;
    }

    public Long getCollegeId() 
    {
        return collegeId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("specialApplyId", getSpecialApplyId())
            .append("studentId", getStudentId())
            .append("majorId", getMajorId())
            .append("applyReason", getApplyReason())
            .append("collegeOpinion", getCollegeOpinion())
            .append("acaAffairsOpinion", getAcaAffairsOpinion())
            .append("leaderOpinion", getLeaderOpinion())
            .append("sign", getSign())
            .append("guardinSign", getGuardinSign())
            .append("applyStatus", getApplyStatus())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("updateUserId", getUpdateUserId())
            .append("year", getYear())
            .append("collegeId", getCollegeId())
            .toString();
    }
}
